package com.fjhx.account.service.account.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.fjhx.account.entity.account.po.AccountRunningWater;
import com.fjhx.account.mapper.account.AccountRunningWaterMapper;
import com.fjhx.account.service.account.AccountRunningWaterService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.vo.AccountRunningWaterVo;
import com.fjhx.account.entity.account.dto.AccountRunningWaterSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.account.entity.account.dto.AccountRunningWaterDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 账户资金流水表 服务实现类
 * </p>
 *
 * @author
 * @since 2023-04-06
 */
@Service
public class AccountRunningWaterServiceImpl extends ServiceImpl<AccountRunningWaterMapper, AccountRunningWater> implements AccountRunningWaterService {

    @Override
    public Page<AccountRunningWaterVo> getPage(AccountRunningWaterSelectDto dto) {
        QueryWrapper<Object> wrapper = Wrappers.query();
        wrapper.eq(ObjectUtil.isNotEmpty(dto.getAccountManagementId()),"arw.accountManagementId",dto.getAccountManagementId());
        wrapper.eq(ObjectUtil.isNotEmpty(dto.getStatus()),"arw.status",dto.getStatus());
        wrapper.eq(ObjectUtil.isNotEmpty(dto.getCurrency()),"arw.currency",dto.getCurrency());
        Page<AccountRunningWaterVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public AccountRunningWaterVo detail(Long id) {
        AccountRunningWaterVo result = baseMapper.getDetail(id);
        return result;
    }

    @Override
    public void add(AccountRunningWaterDto accountRunningWaterDto) {
        this.save(accountRunningWaterDto);
    }

    @Override
    public void edit(AccountRunningWaterDto accountRunningWaterDto) {
        this.updateById(accountRunningWaterDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
